BizKitHub
DocsAPI ReferenceProduct Category/bff/product-category/category-ai-restructure-apply
postProduct CategoryAdmin BFF

/bff/product-category/category-ai-restructure-apply

Moves / creates categories according to the (possibly-edited) plan. Categories listed in toDeprecate are soft-deleted with cascade.

Product CategorypostBffProduct-categoryCategory-ai-restructure-apply

Parameters

JSON body

Request body

application/json
treeanyRequired

Tree shape returned by /category-ai-restructure-suggest (possibly user-edited).

toDeprecatestring[]Required

Response schema

1 status code documented

200Success
creatednumberRequired
movednumberRequired
deprecatednumberRequired

Response example

application/json
{
  "created": 0,
  "moved": 0,
  "deprecated": 0
}

Request example

POST /bff/product-category/category-ai-restructure-apply

post
curl -X POST "https://api.bizkithub.com/bff/product-category/category-ai-restructure-apply" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "toDeprecate": [
    "string"
  ]
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key